[users] Graphviz plugin config

Dries Verachtert dries at ulyssis.org
Mon Apr 21 12:25:21 CEST 2008


On Thursday 17 April 2008 09:34:00 am Stefan Radman wrote:
> Hello Dries,
>
> > Dave Miller wrote on 4/12/08 2:35 AM:
> > I only seem to be picking up graphviz 2.8 still, not 2.14.1, also.
> >
> >> Dries Verachtert wrote on 9/3/07 5:12 PM:
> >> also updated the spec file to 2.14.1 (so possibly i introduced new
>
> bugs :-)
>
> Graphviz 2.14.1 isn't being built on any platform.
> http://dag.wieers.com/rpm/packages/graphviz/_buildlogs/
> The buildlog shows unpackaged files (see below).
>
> Cheers
> Stefan
>
> RPM build errors:
>     Installed (but unpackaged) file(s) found:
>    /usr/lib64/graphviz/java/SWIGTYPE_p_Agedge_t.java
>    /usr/lib64/graphviz/java/SWIGTYPE_p_Agnode_t.java
>    /usr/lib64/graphviz/java/SWIGTYPE_p_Agraph_t.java
>    /usr/lib64/graphviz/java/SWIGTYPE_p_Agsym_t.java
>    /usr/lib64/graphviz/java/SWIGTYPE_p_FILE.java
>    /usr/lib64/graphviz/java/SWIGTYPE_p_p_void.java
>    /usr/lib64/graphviz/java/gv.java
>    /usr/lib64/graphviz/java/gvJNI.java
>    /usr/lib64/graphviz/java/libgv_java.la
>    /usr/lib64/graphviz/java/libgv_java.so
>    /usr/lib64/graphviz/java/libgv_java.so.0
>    /usr/lib64/graphviz/java/libgv_java.so.0.0.0

I've modified the spec file so --disable-java is added to configure when 
_without_java is set. This should fix the build problem even when a jdk is 
installed in the buildroot.

kind regards,
Dries




More information about the users mailing list